### Signal

# Gtk EventControllerLegacy::event

#### Declaration

    gboolean
    event (
      GtkEventControllerLegacy* self,
      GdkEvent* event,
      gpointer user_data
    )

#### Description [src]

Emitted for each GDK event delivered to `controller`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`event`

  Type: `GdkEvent`

  The `GdkEvent` which triggered this signal.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event and the emission of this signal. `FALSE` to propagate the event further.